Create a brand vetting
A successful request to this endpoint will mean you are charged a brand vetting fee.
POST
/workspaces/{workspaceId}/tcr-brands/{brandId}/vettings
Create a brand vetting in a workspace. Brand vetting should be requested when the brand is not getting approved, or if the customer needs a higher throughput.
Treść żądania
class
string
wymagane
Identifies the vetting classification.
Possible values: STANDARD
vettingProviderId
string
External vetting provider ID for the brand.
Treść odpowiedzi
id
string
wymagane
Unique ID that identifies a vetting transaction performed by a vetting provider.
brandId
string
wymagane
createdAt
string
wymagane
Vetting submission date (UTC). This is the date when the vetting request is generated
updatedAt
string
Timestamp (UTC) when the brand vetting was last updated.
status
string
wymagane
Identifies the vetting request status.
Possible values: PENDING, REJECTED, FAILED, APPROVED, EXPIRED
vettingProviderId
string
wymagane
External vetting provider ID for the Brand vetting.
token
string
score
string
wymagane
Brand vetting score (0-100). Higher is better.
class
string
wymagane
Identifies the vetting classification.
Possible values: STANDARD
reasons
array of string
A list of reasons for FAILED vetting.
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}/vettings' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'VettingRequest object
| Field | Type | Description | Mandatory |
|---|---|---|---|
| vettingClass | vettingClass | Vetting Class | Required |
| vettingProviderId | vettingProviderId | Vetting Provider | Required |
VettingResponse object
| Field | Type | Description |
|---|---|---|
| id | string | Vetting ID |
| brandId | string | ID of the brand that relates to this vetting |
| class | vettingClass | Identifies the vetting classification |
| status | vettingStatus | Identifies the vetting request status |
| vettingProviderId | vettingProviderId | Id of the provider used for vetting |
| score | string | Brand vetting score (0-100). Higher is better |
| token | string | |
| reasons | array<string> | A list of reasons for FAILED vetting |
| updatedAt | string | Timestamp (UTC) when the brand vetting was last updated. |
| createdAt | string | Timestamp (UTC) when the brand vetting was created |